---
title: llarp::linux::system_bus_exception
summary: exception for connecting to system bus 

---

# llarp::linux::system_bus_exception



exception for connecting to system bus 


`#include <dbus.hpp>`

Inherits from std::runtime_error

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[system_bus_exception](Classes/classllarp_1_1linux_1_1system__bus__exception.md#function-system-bus-exception)**(int err) |

## Public Functions Documentation

### function system_bus_exception

```cpp
explicit system_bus_exception(
    int err
)
```


-------------------------------

Updated on 2022-09-10 at 18:17:14 +0000